import { http } from '@/utils/http';

export function getListApi(orgCode : string) {
	return http({
		url: '/sjgl.scnr/cxcSjSc/queryTreeData',
		method: 'GET',
		data: { orgCode }
	})
}

export function taskListApi(config : Object) { // 我的任务列表
	return http({
		url: '/act/task/list',
		method: 'GET',
		data: config
	})
}
export function taskHistoryListApi(config : Object) { // 我的历史任务列表
	return http({
		url: '/act/task/taskHistoryList',
		method: 'GET',
		data: config
	})
}

export function claim(config : Object) {
	return http({
		url: '/act/task/claim',
		method: 'PUT',
		data: config
	})
}